# OneToManyLinkedLazy Class Reference
[IdentifiableObject collections handlers]

Inheritance diagram for OneToManyLinkedLazy:
[legend]

List of all members.

## Public Member Functions

| makeFetchQuery ()
| sync ($insert, $update=array(), $delete)

## Private Member Functions

| makeMassUpdateQuery ($ids)

## Detailed Description

Definition at line 15 of file OneToManyLinkedLazy.class.php.

## Member Function Documentation

OneToManyLinkedLazy::makeFetchQuery | ( |  | ) |

Returns:
  SelectQuery

Reimplemented from UnifiedContainerWorker.

Definition at line 20 of file OneToManyLinkedLazy.class.php.

References UnifiedContainerWorker::makeSelectQuery(), and OneToManyLinkedWorker::targetize().

Here is the call graph for this function:

OneToManyLinkedLazy::makeMassUpdateQuery | ( | $ | ids | ) | `[private]`

Returns:
  UpdateQuery

Definition at line 71 of file OneToManyLinkedLazy.class.php.

References Expression::in(), and OSQL::update().

Referenced by sync().

Here is the call graph for this function:

OneToManyLinkedLazy::sync | ( | $ | insert,
|  | $ | update = `array()`,
|  | $ | delete |
| ) |  |  |

Exceptions:

  | WrongArgumentException |

Returns:
  OneToManyLinkedLazy

Reimplemented from UnifiedContainerWorker.

Definition at line 34 of file OneToManyLinkedLazy.class.php.

References OSQL::delete(), DBPool::getByDao(), Expression::in(), Assert::isTrue(), and makeMassUpdateQuery().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/UnifiedContainer/OneToManyLinkedLazy.class.php